# enable_gtkdoc: Toggle whether gtkdoc stuff should be rebuilt
#      0 = No
#      1 = Yes
%define enable_gtkdoc	1

# Define biarch packages
%define biarches_32 %{ix86} ppc
%define biarches_64 x86_64 ppc64
%define query_modules_suffix %{nil}
%ifarch %{biarches_32}
%define query_modules_suffix -32
%endif
%ifarch %{biarches_64}
%define query_modules_suffix -64
%endif
%define query_modules pango-querymodules%{query_modules_suffix}


# Version of libraries required
%define req_glib_version       2.9.0
%define req_freetype2_version  2.1.3-4mdk
%define req_fontconfig_version  2.1-4mdk
%define req_cairo_version  1.7.2

%define api_version	1.0
%define module_version	1.6.0
%define lib_major	0
%define lib_name    %mklibname %{name} %{api_version} %{lib_major}
%define libnamedev  %mklibname -d %{name} %{api_version} 

%define subrel	1

Summary:	System for layout and rendering of internationalized text
Name:		pango
Version:	1.22.0
Release: %mkrel 1
License:	LGPLv2+
Group:		System/Internationalization
URL:		http://www.pango.org/
BuildRequires: glib2-devel >= %{req_glib_version} 
BuildRequires: freetype2-devel >= %{req_freetype2_version}
%if %mdkversion <= 200600
BuildRequires: libXft2-devel >= 2.0
%else
BuildRequires:libxft-devel >= 2.0
%endif
BuildRequires: fontconfig-devel >= %{req_fontconfig_version}
BuildRequires: libcairo-devel >= %req_cairo_version
BuildRequires: thai-devel >= 0.1.9
%if %enable_gtkdoc
BuildRequires: gtk-doc >= 0.10
BuildRequires: libxslt-proc docbook-style-xsl
BuildRequires: automake1.8
%endif
Source0:	http://ftp.gnome.org/pub/GNOME/sources/pango/%{name}-%{version}.tar.bz2
# (gb) 1.4.0-2mdk biarch support
Patch5:		pango-1.2.5-lib64.patch
Patch6:		pango-1.22-CVE-2009-1194.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root


%description
A library to handle unicode strings as well as complex bidirectional
or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

%package -n %{lib_name} 
Summary: %{summary}
Group:   %{group}
Provides:	lib%{name}%{api_version} = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}
Requires:	%{name} = %{version}
Requires: freetype2 >= %{req_freetype2_version}
Requires: fontconfig >= %{req_fontconfig_version}
Requires: glib2 >= %{req_glib_version}
Requires:      %{lib_name}-modules = %{version}

%package -n %{lib_name}-modules
Summary:	%{summary}
Group:		%{group}
#need this since we launch pango-querymodules in %post
Requires(post):                %{lib_name} = %{version}
Provides:	pango-modules = %{version}-%{release}

%description -n %{lib_name}-modules
A library to handle unicode strings as well as complex bidirectional
or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

%description -n %{lib_name}
A library to handle unicode strings as well as complex bidirectional
or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

%package -n %{libnamedev}
Summary:  %{summary}
Group: Development/GNOME and GTK+
Obsoletes:	%{name}-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}%{api_version}-devel = %{version}-%{release}
Requires:	%{name} = %{version}
Requires:	%{lib_name} = %{version}
Requires:	%{name}-doc >= %{version}
Obsoletes: %mklibname -d %{name} %{api_version} %{lib_major}
Conflicts:	%{name} < 1.18.0-3mdv

%description -n %{libnamedev}
This package includes the static libraries and header files
for the pango package.

%package doc
Summary:  %{summary}
Group: Development/GNOME and GTK+

%description doc
This package provides API documentation for Pango.

%prep
%setup -q
%patch5 -p1 -b .lib64
#needed by patch5
aclocal-1.8
automake-1.8
autoconf

%patch6 -p1

%build

%configure2_5x \
	--enable-static=no \
%if %enable_gtkdoc
	--enable-gtk-doc=yes \
%endif

%make ARCH=%{_arch}

%check
make check

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pango/%{_arch}
touch $RPM_BUILD_ROOT%{_sysconfdir}/pango/%{_arch}/pango.modules

%ifarch %{biarches_32} %{biarches_64}
mv $RPM_BUILD_ROOT%{_bindir}/pango-querymodules $RPM_BUILD_ROOT%{_bindir}/%{query_modules}
%endif
%ifarch %{biarches_64}
mv $RPM_BUILD_ROOT%{_bindir}/pango-view $RPM_BUILD_ROOT%{_bindir}/pango-view%{query_modules_suffix}
%endif

cp -f pango/opentype/README README.opentype

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/pango/%{module_version}/modules/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name}-modules
if [ "$1" = "2" -a -r  %{_sysconfdir}/pango/pango.modules ]; then
  rm -f %{_sysconfdir}/pango/pango.modules 
fi
%{_bindir}/%{query_modules} > %{_sysconfdir}/pango/%{_arch}/pango.modules

%if %mdkversion < 200900
%post -n %{lib_name} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{lib_name} -p /sbin/ldconfig
%endif

%files
%defattr(-, root, root)
%doc README AUTHORS
%doc NEWS 
%ifnarch %{biarches_32} %{biarches_64}
%{_bindir}/pango-querymodules
%endif
%{_mandir}/man1/*
%dir %{_sysconfdir}/pango
%config(noreplace) %{_sysconfdir}/pango/pango*.aliases

%files -n %{lib_name}-modules
%defattr(-, root, root)
%ifarch %{biarches_32} %{biarches_64}
%{_bindir}/pango-querymodules-*
%endif
%dir %{_libdir}/pango
%dir %{_libdir}/pango/%{module_version}
%dir %{_libdir}/pango/%{module_version}/modules
%{_libdir}/pango/%{module_version}/modules/*.so
%dir %{_sysconfdir}/pango/%{_arch}
%ghost %verify (not md5 mtime size) %config(noreplace) %{_sysconfdir}/pango/%{_arch}/pango.modules

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libpango-%{api_version}.so.%{lib_major}*
%{_libdir}/libpangoft2-%{api_version}.so.%{lib_major}*
%{_libdir}/libpangox-%{api_version}.so.%{lib_major}*
%{_libdir}/libpangoxft-%{api_version}.so.%{lib_major}*
%{_libdir}/libpangocairo-%{api_version}.so.%{lib_major}*

%files -n %{libnamedev}
%defattr(-, root, root)
%{_bindir}/pango-view*
%{_libdir}/libpango-*.so
%{_libdir}/libpangox-*.so
%{_libdir}/libpangoxft-*.so
%{_libdir}/libpangoft2-*.so
%{_libdir}/libpangocairo*.so
%{_libdir}/pkgconfig/*
%attr(644,root,root) %{_libdir}/*.la
%{_includedir}/*

%files doc
%doc %{_datadir}/gtk-doc/html/pango
%doc ChangeLog
%doc pango-view/HELLO.txt


%changelog
* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 1.22.0-1mdv2009.0
+ Revision: 287355
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 1.21.6-1mdv2009.0
+ Revision: 282781
- new version

* Wed Aug 27 2008 Götz Waschk <waschk@mandriva.org> 1.21.5-1mdv2009.0
+ Revision: 276434
- new version

* Tue Aug 12 2008 Götz Waschk <waschk@mandriva.org> 1.21.4-1mdv2009.0
+ Revision: 271027
- new version
- bump cairo dep

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 1.21.3-1mdv2009.0
+ Revision: 230970
- new version

* Wed Jul 02 2008 Götz Waschk <waschk@mandriva.org> 1.20.5-1mdv2009.0
+ Revision: 230803
- new version

* Tue Jul 01 2008 Götz Waschk <waschk@mandriva.org> 1.20.4-1mdv2009.0
+ Revision: 230465
- new version
- update license

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue May 27 2008 Götz Waschk <waschk@mandriva.org> 1.20.3-1mdv2009.0
+ Revision: 211685
- new version

* Thu Apr 10 2008 Götz Waschk <waschk@mandriva.org> 1.20.2-1mdv2009.0
+ Revision: 192536
- new version

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 1.20.0-1mdv2008.1
+ Revision: 183686
- new version

* Tue Feb 26 2008 Götz Waschk <waschk@mandriva.org> 1.19.4-1mdv2008.1
+ Revision: 175283
- new version

* Tue Jan 22 2008 Götz Waschk <waschk@mandriva.org> 1.19.3-1mdv2008.1
+ Revision: 156137
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 17 2007 Götz Waschk <waschk@mandriva.org> 1.19.2-1mdv2008.1
+ Revision: 130829
- new version

* Tue Dec 04 2007 Götz Waschk <waschk@mandriva.org> 1.19.1-1mdv2008.1
+ Revision: 115272
- new version

* Sat Nov 17 2007 Funda Wang <fundawang@mandriva.org> 1.19.0-2mdv2008.1
+ Revision: 109198
- rebuild for new lzma

* Tue Oct 30 2007 Götz Waschk <waschk@mandriva.org> 1.19.0-1mdv2008.1
+ Revision: 103741
- new version

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 1.18.3-1mdv2008.1
+ Revision: 98728
- new version

* Tue Sep 18 2007 Götz Waschk <waschk@mandriva.org> 1.18.2-1mdv2008.0
+ Revision: 89461
- new version
- reenable checks with the new libthai

* Tue Aug 28 2007 Götz Waschk <waschk@mandriva.org> 1.18.1-1mdv2008.0
+ Revision: 72493
- new version
- drop patch 6

* Wed Aug 22 2007 Frederic Crozat <fcrozat@mandriva.com> 1.18.0-3mdv2008.0
+ Revision: 69116
- Move pango-view to devel package (with some renaming and conflicts)
- move API doc to pango-doc package and devel packages require it
- Fix description

* Tue Aug 21 2007 Frederic Crozat <fcrozat@mandriva.com> 1.18.0-2mdv2008.0
+ Revision: 68358
- Patch1 (SVN): fix hang with very long string
- Remove patch0, no longer needed

* Tue Aug 21 2007 Götz Waschk <waschk@mandriva.org> 1.18.0-1mdv2008.0
+ Revision: 68238
- new version
- new devel name

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 1.17.5-1mdv2008.0
+ Revision: 56595
- new version

* Mon Jul 02 2007 Götz Waschk <waschk@mandriva.org> 1.17.4-1mdv2008.0
+ Revision: 47274
- new version

* Tue Jun 19 2007 Götz Waschk <waschk@mandriva.org> 1.17.3-1mdv2008.0
+ Revision: 41289
- new version

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 1.17.2-2mdv2008.0
+ Revision: 36189
- rebuild with correct optflags

  + Götz Waschk <waschk@mandriva.org>
    - new version

* Fri Apr 27 2007 Götz Waschk <waschk@mandriva.org> 1.16.4-1mdv2008.0
+ Revision: 18491
- new version

* Tue Apr 24 2007 Götz Waschk <waschk@mandriva.org> 1.16.3-1mdv2008.0
+ Revision: 17789
- new version
- disable tests, b.g.o #410152

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 1.16.2-1mdv2008.0
+ Revision: 14118
- new version


* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 1.16.1-1mdv2007.1
+ Revision: 142132
- new version
- fix make check

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 1.16.0-1mdv2007.1
+ Revision: 126099
- new version

* Sun Feb 18 2007 Götz Waschk <waschk@mandriva.org> 1.15.6-3mdv2007.1
+ Revision: 122243
- rebuild for pkgconfig deps

* Sat Feb 17 2007 Götz Waschk <waschk@mandriva.org> 1.15.6-2mdv2007.1
+ Revision: 122122
- rebuild for pkgconfig provides

* Wed Feb 14 2007 Götz Waschk <waschk@mandriva.org> 1.15.6-1mdv2007.1
+ Revision: 120785
- readd cairo dep
- new version
- fix build

* Wed Jan 24 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.15.5-2mdv2007.1
+ Revision: 112933
- build with libthai

* Tue Jan 23 2007 Götz Waschk <waschk@mandriva.org> 1.15.5-1mdv2007.1
+ Revision: 112236
- new version
- drop patch 2

* Sat Jan 20 2007 Götz Waschk <waschk@mandriva.org> 1.15.4-1mdv2007.1
+ Revision: 110998
- fix file list
- new version
- rediff patch 2

* Tue Jan 09 2007 Götz Waschk <waschk@mandriva.org> 1.15.3-1mdv2007.1
+ Revision: 106338
- drop patch 6
- new version

* Fri Dec 29 2006 Frederic Crozat <fcrozat@mandriva.com> 1.15.2-2mdv2007.1
+ Revision: 102591
- Patch6 (CVS): fix FcFontMatch misuse

* Thu Dec 21 2006 Götz Waschk <waschk@mandriva.org> 1.15.2-1mdv2007.1
+ Revision: 100955
- new version
- drop patch 3

* Tue Dec 12 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.15.1-2mdv2007.1
+ Revision: 95300
- ppc64 is a bi-arch platform
- Fix make check

* Tue Dec 05 2006 Frederic Crozat <fcrozat@mandriva.com> 1.15.1-1mdv2007.1
+ Revision: 91008
- Release 1.15.1
- Disable tests, they are broken atm

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 1.15.0-1mdv2007.1
+ Revision: 88552
- new version
- bump module version

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 1.14.8-1mdv2007.1
+ Revision: 86305
- new version

* Sun Oct 15 2006 Götz Waschk <waschk@mandriva.org> 1.14.7-1mdv2006.0
+ Revision: 64779
- new version
- new version
  unpack sources
- Import pango

* Thu Oct 05 2006 Gtz Waschk <waschk@mandriva.org> 1.14.5-1mdv2007.0
- drop patch 6
- New version 1.14.5

* Wed Sep 13 2006 Frederic Crozat <fcrozat@mandriva.com> 1.14.3-2mdv2007.0
- Patch6 (CVS): fix map engine calls

* Wed Sep 06 2006 Götz Waschk <waschk@mandriva.org> 1.14.3-1mdv2007.0
- New version 1.14.3

* Thu Aug 24 2006 Götz Waschk <waschk@mandriva.org> 1.14.2-1mdv2007.0
- New release 1.14.2

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 1.14.1-1mdv2007.0
- New release 1.14.1

* Thu Aug 10 2006 Gtz Waschk <waschk@mandriva.org> 1.14.0-1mdv2007.0
- bump deps
- New release 1.14.0

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 1.13.5-1mdv2007.0
- Release 1.13.5

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 1.13.4-1mdv2007.0
- New release 1.13.4

* Wed Jul 12 2006 Götz Waschk <waschk@mandriva.org> 1.13.3-1
- New release 1.13.3

* Wed Jun 14 2006 Götz Waschk <waschk@mandriva.org> 1.13.2-1
- New release 1.13.2

* Mon May 29 2006 Gtz Waschk <waschk@mandriva.org> 1.12.3-1mdv2007.0
- drop patch 6
- New release 1.12.3

* Wed May 17 2006 Laurent MONTEL <lmontel@mandriva.com> 1.12.2-4
- Rebuild with new xorg

* Wed May 03 2006 Frederic Crozat <fcrozat@mandriva.com> 1.12.2-3mdk
- Update patch 6 with better CVS fix

* Sat Apr 29 2006 Frederic Crozat <fcrozat@mandriva.com> 1.12.2-2mdk
- Patch6 (CVS): fix hinting

* Fri Apr 28 2006 Gtz Waschk <waschk@mandriva.org> 1.12.2-1mdk
- drop patch 6
- New release 1.12.2

* Wed Apr 26 2006 Frederic Crozat <fcrozat@mandriva.com> 1.12.1-3mdk
- Patch6 (CVS): fix rounding (Freedesktop bug #5200)

* Sat Apr 15 2006 Frederic Crozat <fcrozat@mandriva.com> 1.12.1-2mdk
- enforce glib dependency

* Tue Apr 11 2006 Frederic Crozat <fcrozat@mandriva.com> 1.12.1-1mdk
- Release 1.12.1

* Mon Feb 27 2006 Götz Waschk <waschk@mandriva.org> 1.10.4-1mdk
- New release 1.10.4

* Mon Feb 06 2006 Götz Waschk <waschk@mandriva.org> 1.10.3-1mdk
- New release 1.10.3
- use mkrel

* Tue Nov 29 2005 Frederic Crozat <fcrozat@mandriva.com> 1.10.2-1mdk
- Release 1.10.2
- Remove patch6 (merged upstream)

* Mon Nov 21 2005 Frederic Crozat <fcrozat@mandriva.com> 1.10.1-3mdk
- Update patch6 with regression fix from CVS

* Tue Nov 15 2005 Frederic Crozat <fcrozat@mandriva.com> 1.10.1-2mdk
- Patch6 (CVS): fix pixel size support (Mdk bug #19635)

* Wed Oct 05 2005 Frederic Crozat <fcrozat@mandriva.com> 1.10.1-1mdk
- Release 1.10.1
- Remove patches 6, 7 (merged upstream)

* Tue Sep 13 2005 Frederic Crozat <fcrozat@mandriva.com> 1.10.0-3mdk 
- Patch7 (CVS): various bugfixes

* Fri Aug 26 2005 Frederic Crozat <fcrozat@mandriva.com> 1.10.0-2mdk 
- Patch6 (CVS): fix underline

* Wed Aug 17 2005 Frederic Crozat <fcrozat@mandriva.com> 1.10.0-1mdk 
- Release 1.10.0

* Thu Jul 28 2005 Götz Waschk <waschk@mandriva.org> 1.8.2-1mdk
- fix some deps
- make it rpmbuildupdatable
- New release 1.8.2

* Mon Mar 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.1-1mdk 
- Release 1.8.1
- Remove patch6 (merged upstream)

* Thu Feb 24 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.8.0-3mdk
- move pango docs to pango package, which is req'ed by *-devel

* Mon Feb 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.0-2mdk 
- Patch6 (CVS): fix text rotation (needed by gnumeric)

* Thu Dec 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.0-1mdk 
- Release 1.8.0
- Remove patches 6, 7, 8, 9, 10 (merged upstream)

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.0-1mdk
- Release 1.6.0
- Patch6 (Fedora): fix metrics for bitmap fonts
- Patch7 (Fedora): fix display of unicode U3000 glyph
- Patch8 (Fedora): fix metrics in ja_JP with latin text
- Patch9 (Fedora): disable backspace_deletes_character for hangul and hiragana
- Patch10 (Fedora): fix attribute length

* Tue Oct 12 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.4.1-2mdk
- generate pango.modules from -modules package

* Wed Aug 04 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.4.1-1mdk
- new version

* Thu Jul 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-8mdk
- Argg, really really fix dependencies this time

* Thu Jul 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-7mdk
- Really fix dependencies

* Thu Jul 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-6mdk
- Add another dependency for biarch

* Sat Jul 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-5mdk
- Enforce automake 1.8 (to respect policy)
- Rebuild to get correct .pc files (previous one were incorrect)

* Fri Jul 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-4mdk
- Enable libtoolize
- Don't force automake 1.7

* Tue May 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-3mdk
- Fix biarch support
- Remove trigger, use test in post instead

* Fri May 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-2mdk
- Patch5 (gb): add support for biarch (sync with AMD64)

* Fri Apr 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-1mdk
- Release 1.4.0
- remove patches 3 (no longer relevant), 4 (merged upstream)

